<style>
  .ownmessage,
  .ownmessage ion-item {
    background: #f5dc83;
  }

  ion-avatar ion-icon {
    font-size: 40px;;
  }
</style>

<ion-header>
  <ion-navbar>
    <ion-title>Home</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>


  <div *ngIf="activeUser === null">
    <h2>Zaloguj się aby uzyskać dostęp do wiadomości</h2>

    <button *ngIf="!loginAction" (click)="loginActionToogle(true)" ion-button outline>Login</button>
    <button *ngIf="loginAction" (click)="loginActionToogle(true)" ion-button >Login</button>
    <button *ngIf="loginAction" (click)="loginActionToogle(false)" ion-button outline>Sign Up</button>
    <button *ngIf="!loginAction" (click)="loginActionToogle(false)" ion-button>Sign Up</button>

    <ion-list *ngIf="loginAction">

      <ion-item>
        <ion-label>Username</ion-label>
        <ion-input id="loginid"  [(ngModel)]="loginName" name="loginName" type="text"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label>Password</ion-label>
        <ion-input id="passwoord" [(ngModel)]="password" type="password" name="password"></ion-input>
      </ion-item>
      <div padding>
        <button id="loginuser"  (click)="login()" ion-button full>LOGIN</button>
      </div>
    </ion-list>

    <ion-list *ngIf="!loginAction">
      <ion-item>
        <ion-label>Username</ion-label>
        <ion-input id="signUpEmail"  [(ngModel)]="signUpEmail" name="signUpEmail" type="text"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label>Password</ion-label>
        <ion-input id="signUpPassword" [(ngModel)]="signUpPassword" type="password" name="signUpPassword"></ion-input>
      </ion-item>
      <div padding>
        <button id="signupuser"  (click)="signUp()" ion-button full>Sign Up</button>
      </div>

    </ion-list>





    <!--<div padding>-->
      <!--<button id="loginuser2"  (click)="loginGoogle()" ion-button full>LOGIN with google</button>-->
    <!--</div>-->


  </div>

  <button *ngIf="activeUser !== null"   (click)="logout()" ion-button >LOGOUT</button>
  <h2 *ngIf="activeUser !== null" > Hi {{activeUser?.auth?.email}}</h2>

  <div id="messages" *ngIf="messages != [] && activeUser !== null">

    <ion-card *ngFor="let message of messages ; let i = index">
      <ion-item [ngClass]="{'ownmessage' : activeUser?.auth?.email === message?.user}">
        <ion-list  >
          <ion-item-sliding>
            <ion-item>
              <ion-avatar item-left>
                <ion-icon name="contact"></ion-icon>
              </ion-avatar>
              <h2>{{message?.text}}</h2>
              <small>{{formatDate(message?.date)}} - {{message?.user}}</small>
            </ion-item>
            <ion-item-options side="left">
              <button ion-button color="primary">
                <ion-icon name="text"></ion-icon>
                Text
              </button>
              <button ion-button color="secondary">
                <ion-icon name="call"></ion-icon>
                Call
              </button>
            </ion-item-options>
            <ion-item-options side="right">
              <button ion-button color="primary">
                <ion-icon name="mail"></ion-icon>
                Email
              </button>
            </ion-item-options>
          </ion-item-sliding>
        </ion-list>
      </ion-item>
    </ion-card>

    <ion-item>
      <ion-input [(ngModel)]="newMessage" type="text" placeholder="New message ..."></ion-input>
    </ion-item>

    <button (click)="addMessage()" ion-button>Send</button>
    <button  ion-button color="danger" (click)="removeMessage()">Remove messages</button>
  </div>



  <div *ngIf="activeUser !== null">

  </div>
</ion-content>
